Arbor 3: FSM & BT Graph Editor 3.6.4

Static Public Member Functions | List of all members
AttributeHelper Class Reference

Attributeのヘルパークラス。 More...

## Static Public Member Functions
static Attribute [] | GetAttributes (MemberInfo member)
| Attributeを取得。 More...
static Attribute | GetAttribute (MemberInfo member, System.Type targetType)
| Attributeを取得 More...
static T | GetAttribute< T > (MemberInfo member)
| Attributeを取得 (generic) More...
static T [] | GetAttributes< T > (MemberInfo member)
| Attributeの配列を取得 (generic) More...
static bool | HasAttribute (MemberInfo member, System.Type targetType)
| Attributeがあるかどうか。 More...
static bool | HasAttribute< T > (MemberInfo member)
| Attributeがあるかどうか。 More...

## Detailed Description

Attributeのヘルパークラス。

## Member Function Documentation

## ◆ GetAttribute()

static Attribute GetAttribute | ( | MemberInfo | member,
|  | System.Type | targetType
| ) |  |
| static

Attributeを取得

Parameters

  member | MemberInfo
  targetType | 取得する型

Returns
  Attribute

## ◆ GetAttribute< T >()

static T GetAttribute< T > | ( | MemberInfo | member | ) |
| static

Attributeを取得 (generic)

Template Parameters

  T | 取得する型

Parameters

  member | MemberInfo

Returns
  Attribute

Type Constraints

  T | : | Attribute |

## ◆ GetAttributes()

static Attribute [] GetAttributes | ( | MemberInfo | member | ) |
| static

Attributeを取得。

Parameters

  member | MemberInfo

Returns
  Attributes

## ◆ GetAttributes< T >()

static T [] GetAttributes< T > | ( | MemberInfo | member | ) |
| static

Attributeの配列を取得 (generic)

Template Parameters

  T | 取得する型

Parameters

  member | MemberInfo

Returns
  Attributeの配列

Type Constraints

  T | : | Attribute |

## ◆ HasAttribute()

static bool HasAttribute | ( | MemberInfo | member,
|  | System.Type | targetType
| ) |  |
| static

Attributeがあるかどうか。

Parameters

  member | MemberInfo
  targetType | 取得する型

Returns
  Attributeがあるかどうか。

## ◆ HasAttribute< T >()

static bool HasAttribute< T > | ( | MemberInfo | member | ) |
| static

Attributeがあるかどうか。

Template Parameters

  T | 取得する型

Parameters

  member | MemberInfo

Returns
  Attributeがあるかどうか。

Type Constraints

  T | : | Attribute |